For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/messages/get-api-inbox-v1messages-by-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Get Message

GET
/api/inbox/v1/messages/:id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { message, messageError } = await reloop.inbox.messages.get("msg_123456789");
6if (messageError) throw messageError;
1{
2 "id": "con_123456789",
3 "mailboxId": "example_mailboxId",
4 "organizationId": "example_organizationId",
5 "fromEmail": "example_fromEmail",
6 "fromName": "example_fromName",
7 "toEmails": [
8 "example_toEmails"
9 ],
10 "ccEmails": [
11 "example_ccEmails"
12 ],
13 "bccEmails": [
14 "example_bccEmails"
15 ],
16 "replyTo": "example_replyTo",
17 "subject": "Welcome to Reloop",
18 "textBody": "example_textBody",
19 "htmlBody": "example_htmlBody",
20 "snippet": "example_snippet",
21 "size": 0,
22 "status": "example_status",
23 "isRead": true,
24 "isStarred": true,
25 "isSpam": true,
26 "spamScore": 0,
27 "messageId": "example_messageId",
28 "threadId": "example_threadId",
29 "inReplyTo": "example_inReplyTo",
30 "references": [
31 "example_references"
32 ],
33 "headers": {
34 "company": "Reloop",
35 "role": "Developer"
36 },
37 "date": "2026-03-23T10:00:00.000Z",
38 "createdAt": "2026-03-23T10:00:00.000Z",
39 "attachments": [
40 {
41 "id": "con_123456789",
42 "inboundEmailId": "example_inboundEmailId",
43 "filename": "example_filename",
44 "contentType": "example_contentType",
45 "size": 0,
46 "storagePath": "example_storagePath",
47 "contentDisposition": "example_contentDisposition",
48 "contentId": "example_contentId",
49 "createdAt": "2026-03-23T10:00:00.000Z"
50 }
51 ]
52}

Path Parameters

idstringRequired

Message ID

Was this page helpful?